package org.example.country.report.actions;

import java.io.FileInputStream;
import java.io.InputStream;
import java.util.Properties;

import org.apache.log4j.Logger;

public class ConfigurationManagerImpl 
	implements ConfigurationManager
{
	private static final Logger LOG = Logger.getLogger(ConfigurationManagerImpl.class); 
	
	private Properties props = null;
	
	@Override
	public void load(String propertyFile)
	{
		 try 
	        {
	            InputStream input = new FileInputStream(propertyFile);
	            LOG.debug("Loading: " + propertyFile);

	            // load a properties file
	            props = new Properties();
	            props.load(input);	
	            LOG.trace("Loaded " + props.size() + " properties");
	        }
	        catch (Exception exceptionObj) 
	        {
	            LOG.error("Failed to load: " + propertyFile);
	            LOG.error(exceptionObj.getMessage());
	            System.exit(8);
	        }
		
	}

	@Override
	public String getProperty(String key)
	{
		LOG.debug("Returning property: " + key);
		return props.getProperty(key);
	}

	@Override
	public void setProperty(String key, String value)
	{
		LOG.debug("Setting property: " + key + ":" + value);
		props.setProperty(key, value);
		
	}
}
